%bcond_with iphone
%bcond_with dependency-tracking

Name:           libpki
Version:        0.9.2
Release:        1%{?dist}
Summary:        OpenCA PKI Library

License:        OpenCA License (BSD Style)
URL:            https://github.com/openca/%{name}
Source0:        https://github.com/openca/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         https://github.com/openca/%{name}/commit/d7617046e9da97473a140c02582fa571f6359ae3.patch
Patch1:         https://github.com/openca/%{name}/commit/9c4865ad476a75c34d89e0bd663c280f544590c0.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libxml2-devel
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel

Requires:       libxml2
Requires:       openldap
Requires:       openssl


%description
OpenCA Labs' PKI library.


%package devel
Summary: Development tools for LibPKI applications
Requires: %{name} == %{version}

%description devel
Includes and documentation for developing applications by using LibPKI.


%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

%build
%configure
%make_build

%install
%make_install

%check

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_prefix}/etc/%{name}
%{_prefix}/etc/pki.conf
%{_bindir}/pki-cert
%{_bindir}/pki-crl
%{_bindir}/pki-derenc
%{_bindir}/pki-query
%{_bindir}/pki-request
%{_bindir}/pki-siginfo
%{_bindir}/pki-tool
%{_bindir}/pki-xpair
%{_bindir}/url-tool
%{_libdir}/%{name}.so*

%files devel
%defattr(-, root, root)
%{_bindir}/libpki-config
%{_datadir}/%{name}
%{_includedir}/%{name}
%{_includedir}/internal
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la

%changelog
* Tue Mar 18 2025 Daniel Uvehag <daniel.uvehag@gmail.com> - 0.9.2-1
- Package upstream 0.9.2
